<?php
/**
 * Class that operate on table 'commentclient'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2020-04-21 21:58
 */
class CommentclientMySqlExtDAO extends CommentclientMySqlDAO{


    public function commentclient($queryString1 = "") {
        $sql = 'SELECT * FROM  commentclient join client on commentclient.clientid = client.clientid  join user on commentclient.userid = user.userid '.$queryString1.' order by commentclient.id desc' ;
//        echo $sql;
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);

    }


    public function licommentclient($clientid = 0) {
        $sql = 'SELECT * FROM  commentclient join client on commentclient.clientid = client.clientid  join user on commentclient.userid = user.userid WHERE  commentclient.clientid = ' . $clientid . '
                order by commentclient.id desc';
        $sqlQuery = new SqlQuery($sql);
//        echo $sql;
        return $this->getList($sqlQuery);

    }




}
?>

